<?php
/**
 * The template for displaying 404 pages (not found)
 *
 */
get_header(); ?>
<div class="wrap">
	<div id="primary" class="content-area">
		<main id="main" class="site-main">
			<section class="error-404 not-found text-center">
				<header class="page-header">
					<h1 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'netube' ); ?></h1>
				</header><!-- .page-header -->
				<div class="page-content col-md-8 offset-md-2">
					<div class="img-404-wrap">
						<img src="<?php echo esc_url( NETUBE_ASSETS . '/images/404.png' ); ?>" height="409" width="410" alt="404"/>
					</div>
					<p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try a search?', 'netube' ); ?></p>
					<?php get_search_form(); ?>
				</div><!-- .page-content -->
			</section><!-- .error-404 -->
		</main><!-- #main -->
	</div><!-- #primary -->
</div><!-- .wrap -->
<?php get_footer();