<?php
/*
 * The header for netube theme
 */
$ahe = new NetubeHeaderElements;
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js no-svg">
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<?php if ( is_singular() && pings_open( get_queried_object() ) ) : ?>
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php endif; ?>
<?php wp_head(); ?>
</head>
<?php
	$rtl = netubeThemeOpt::netubeStaticThemeOpt('rtl');
	if( $rtl ) add_filter( 'body_class','netube_rtl_body_classes' );
	
	$lazy_opt = netubeThemeOpt::netubeStaticThemeOpt('news-lazy-load');
	if( $lazy_opt ) add_filter( 'body_class','netube_lazy_body_classes' );

	$smooth_scroll = netubeThemeOpt::netubeStaticThemeOpt('smooth-opt');
	$scroll_time = $scroll_dist = '';
	if( $smooth_scroll ){
		$scroll_time = netubeThemeOpt::netubeStaticThemeOpt('scroll-time');
		$scroll_dist = netubeThemeOpt::netubeStaticThemeOpt('scroll-distance');
	}

?>
<body <?php body_class(); ?> data-scroll-time="<?php echo esc_attr( $scroll_time ); ?>" data-scroll-distance="<?php echo esc_attr( $scroll_dist ); ?>">
<?php
	/*
	 * Section Top - netube_section_top - 5
	 * Mobile Header - netubeMobileHeader - 10
	 * Mobile Bar - netubeMobileBar - 20
	 * Secondary Menu Space - netubeHeaderSecondarySpace - 30
	 * Top Sliding Bar - netubeHeaderTopSliding - 40
	 * Full Search - netubeFullSearchWrap - 50
	 */

	do_action('netube_body_action');
?>
<?php if( $ahe->netubePageLoader() ) : ?>
	<div class="page-loader"></div>
<?php endif; ?>
<div id="page" class="netube-wrapper<?php echo esc_attr( $ahe->netubeThemeLayout() ); ?>">

	<?php $ahe->netubeHeaderSlider('top'); ?>
	
	<header class="netube-header<?php echo esc_attr( $ahe->netubeHeaderLayout() ); ?>">
		<?php $ahe->netubeHeaderBar(); ?>
	</header>
	
	<div class="netube-content-wrapper">
